Name:          simdock
Summary:       Fast and customizable dockbar
Version:       1.2
Release:       14%{?dist}
License:       GPLv2+
Group:         User Interface/Desktops
URL:           http://simdock.sourceforge.net/
Source0:       http://downloads.sourceforge.net/simdock/%{name}_%{version}.tar.gz
Source1:       README.fedora
Patch0:        simdock-1.2.desktop.patch
Patch1:        simdock-1.2-pixmap.patch
Patch2:        simdock-1.2-readme.patch
Patch3:        simdock-1.2-tasks.patch
Patch4:        simdock-1.2-build-envvars.patch
Patch5:        simdock-1.2-dso.patch
Buildrequires: desktop-file-utils
BuildRequires: GConf2-devel
BuildRequires: libwnck-devel
BuildRequires: startup-notification-devel
BuildRequires: wxGTK-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SimDock is a fast and customizable dockbar. It is written in c++ and
wxWidgets and fits well in Gnome but works on most desktop
environments. Does not require Compiz nor 3D acceleration.

%prep
%setup -q -n trunk
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%{__install} -m 0644 %{SOURCE1} .
%{__ln_s} configure.ac configure.in

%build
./autogen.sh
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags} CPPFLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING LICENSE README README.fedora
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Terje Rosten <terje.rosten@ntnu.no> - 1.2-12
- Rebuilt for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.2-10
- rebuilt against wxGTK-2.8.11-2

* Thu Feb 18 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.2-9
- Build with optflags

* Sun Feb 14 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.2-8
- Add DSO patch

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May  5 2009 Terje Rosten <terje.rosten@ntnu.no> - 1.2.6
- Convert spec to utf8

* Thu Apr 30 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.2-5
- Patch to honor $RPM_OPT_FLAGS during build.
- Disable autotools dependency tracking during build for cleaner build logs
  and possible slight build speedup.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 20 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-3
- rebuild

* Thu Oct  2 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-2
- fix patch macro
- install desktop file

* Wed Mar 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-1
- initial build
